%define	name	boost-jam
%define	version 3.1.12
%define	release	1

Summary:	Build tool for Boost libraries
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
URL:		http://www.boost.org/
Source0:	http://download.sourceforge.net/boost/%{name}-%{version}.tar.bz2
License: 	GPL
Group: 		Development/Other
Buildrequires:	byacc
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Boost Jam is a build tool based on FTJam, which in turn is based on 
Perforce Jam. It contains significant improvements made to facilitate
its use in the Boost Build System, but should be backward compatible 
with Perforce Jam.

Authors:
	Perforce Jam : Cristopher Seiwald
	FT Jam       : David Turner
	Boost Jam    : David Abrahams

%prep
%setup -q

%build
export CC="%{__cc}"
export CFLAGS="%{optflags}"
./build.sh cc

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} -m 755 bin.linux*/bjam %{buildroot}%{_bindir}/bjam

%files
%defattr(-,root,root)
%defattr(0644,root,root,0755)
%doc LICENSE_1_0.txt *.css *.html *.png images jam
%attr(0755,root,root) %{_bindir}/bjam

%clean
%{__rm} -rf %{buildroot}

%changelog
* Sat Apr 29 2006 David Walluck <walluck@mandriva.org> 3.1.12-1mdk
- 3.1.12
- add URL to Source0
- add macros
- jam is now called bjam by default
- add docs and set permissions
- use %%mkrel

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.1.10-2mdk
- Rebuild

* Wed Jul 28 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.1.10-1mdk
- 3.1.10

* Wed Feb 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.1.9-1mdk
- 3.1.9

* Wed Oct 29 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.1.7-1mdk
- 3.1.7
- compile with $RPM_OPT_FLAGS
- cleanups

* Tue Apr 29 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1-3mdk
- Fix build on real arches

* Sun Apr 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.1-2mdk
- adjust buildrequires

* Tue Mar 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.1-1mdk
- from andi payn <payn@myrealbox.com> :
	- Mandrakization of original RPM by Vladimir Prus <ghost@cs.msu.su>
